Subject: bug#48829: 28.0.50; opening files mith /sudo:root@localhost:… fails

From: Michael Albinus <[email-masked]>
Date: Mon, 14 Jun 2021 13:55:34 +0200

Michael Albinus <[email-masked]> writes:

Hi Arne,

>> I usually open system files by re-opening them with prefix
>> /sudo:root@localhost:
>>
>> For some time I am now getting the error
>>
>> File error: Script tramp_perl_encode_with_module is not applicable
>> on remote host
>> Mark set
>> Replaced 0 occurrences
>> File error: Script tramp_perl_encode_with_module is not applicable
>> on remote host
>> File error: Method ‘sudo’ should specify both encoding and decoding
>> command or an scp program
>> tramp-sh-handle-write-region: Method ‘sudo’ should specify both
>> encoding and decoding command or an scp program
>>
>> Is this a problem due to changes is Emacs?
>
> Perhaps. There was a change in using %-markers in Tramp, for example in
> tramp_perl_encode_with_module. Please try "M-x tramp-cleanup-all-connections"
> (or remove "~/.emacs.d/tramp" prior Emacs start).

Is there something else I could do for you? Otherwise, I'd like to close
the bug.

>> Best wishes,
>> Arne

Best regards, Michael.